<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bTaller,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>


<HTML>
<head>
		<title><%= resTit.getString("titMtoTalleres")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bBusqDescrip.js"></script>
</head>
<BODY onkeydown="" style="cursor: wait" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
 <div class="popup" id="capaDesc" >
 </div>
<%
	String sql = "", codigo, mensaje="", accion;
	int cod=0;
	codigo = request.getParameter("Codigo");
	mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
	if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
 	    codigo="";
 	}
	m05bCombo miCombo= new m05bCombo();
	m05bFileLog miLog= new m05bFileLog();
	m05bTaller taller = null;
	if ( (codigo==null) || (codigo.equals("")) ) {
		codigo= "";
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bTaller");
	  	m05bGenerarClave miID = new m05bGenerarClave();
		String Auxiliar="to_number(" + m05bConstantes.COL_30_CODIGO + ")";
		cod = miID.getNextId(m05bConstantes.TAB_TALLER, Auxiliar);
		codigo= "" + cod;		
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		taller = (m05bTaller)session.getAttribute("m05bTaller");
		/* codigo=taller.getTaller_codigo();
	    	descripcion=taller.getTaller_descripcion();
	    	if (codigo== null || codigo.equals("NULL")){
	        	codigo="";
	    	}
	    	if (descripcion==null || descripcion.equals("NULL")) {
	        	descripcion="";
	    	}*/
	}
    PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 28));</script>");
	}
	outMsg.close();
	if (taller == null){
		taller = new m05bTaller();
		session.setAttribute("m05bTaller",taller);
	}
	String propio=taller.getTal_propio();
	String telefono=taller.getTal_telefono();
	String poblacion= taller.getTal_poblacion();
	String direccion = taller.getTal_direccion()==null?"":taller.getTal_direccion().toUpperCase();
	String marca = taller.getTal_marca();
	String rama = taller.getTal_rama();
	String Descripcion = taller.getTal_descripcion();
	if (Descripcion==null || Descripcion.equals("NULL"))
		Descripcion="";
	if (marca==null || marca.equals("NULL"))
		marca="";
	if (rama==null || rama.equals("NULL"))
		rama="";
	if (direccion==null || direccion.equals("NULL"))
		direccion="";
	if (poblacion==null ||poblacion.equals("NULL"))
		poblacion="";
	if (telefono==null || telefono.equals("NULL"))
	   telefono="";
	if (propio==null || propio.equals("NULL"))
	   propio="";

%>
			
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_TALLERES%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelTalleres")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_TALLERES%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoTalleres")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>			
 <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formTalleres" METHOD="POST">
					  <TABLE class="general">
					    <tr> 
					      <td width="90%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					     	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						  <input type="hidden" name="Origen" value="<%=(request.getParameter("Origen")==null?"":request.getParameter("Origen"))%>" />
						</tr>
					  </TABLE>
						<p>
					  <TABLE id="table1" class="general">
					    <tr> 
					      <td width="10%" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
					      <td width="20%" class="inputFieldTitle"><%= res.getString("etDireccion")%></td>
					      <td width="40%" class="inputFieldTitle"><%= res.getString("etPoblacion")%></td>
					      <td width="30%" class="inputFieldTitle"><%= res.getString("etTelefono")%></td>
					    </tr>
					    <tr> 
					      <% if ( (codigo.equals("")) || (mensaje.equals("Existe")) ){  %>
						      <td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="15" maxlength="4"/> </td>
						  <% } 
						  	else  { %>
						      <td align="left"> <INPUT class="inputFieldOblig" disabled TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="15" maxlength="4"/> </td>
					      <%  }  %>
					      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Direccion" VALUE="<%=direccion%>" size="50" maxlength="100"/> </td>
					      <!--td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Poblacion" VALUE="<%//=poblacion%>" size="25" maxlength="5"/> </td-->
					      <td align="left"><select name="Poblacion" class="inputField" onKeypress="buscar_op(this,Telefono)" onblur="borrar_buffer()" onclick="borrar_buffer()">
					                    <option type="submit"></option>
					                    <%=miCombo.popCombo( m05bConstantes.COL_24_CODIGO, m05bConstantes.COL_24_DESC, m05bConstantes.TAB_POBLACIONES, "", "",poblacion) %>
					           </select>
					      </td>
					      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Telefono" VALUE="<%=telefono%>" size="15" maxlength="15"/> </td>
					    </tr>
					    <tr>
					      <td colspan="4" class="inputFieldTitle"><%= res.getString("etDescripcion")%></td>
					    </tr>
					    <tr>
					      <td id="td1" align="left" colspan="4" > <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Descripcion" VALUE="<%=Descripcion%>" size="90" maxlength="100" onkeypress="javascript:controlaCapa(event,this,'td1','table1','<%=m05bConstantes.TAB_TALLER%>','<%=m05bConstantes.COL_30_DESCRIP%>','');"/> </td>
					    </tr>
					    <tr>
					      <td colspan="2" class="inputFieldTitle"><%= res.getString("etPropio")%></td>
					      <td class="inputFieldTitle"><%= res.getString("etMarca")%></td>
					      <td class="inputFieldTitle"><%= res.getString("etRama")%></td>
					    </tr>
					    <tr align="left">
					      <td colspan="2" align="left"> <INPUT class="inputField" TYPE="checkbox" class="selectOpcion" NAME="Propio" VALUE="S" <%if ((propio!=null) && propio.equals("S")){%> checked <%}%> maxlength="1"/>
					      <td><select name="Marca" class="inputField" onKeypress="buscar_op(this,Rama)" onblur="borrar_buffer()" onclick="borrar_buffer()">
					                    <option type="submit"></option>
					                    <% if (marca.equals("TODAS")){%>
					                    <option value="TODAS" selected>TODAS</option>
					                    <%}else{%>
					                    <option value="TODAS">TODAS</option>
					                    <%}%>
					                    <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION,
					        					m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_MARCAS, marca )%>
					           </select>
					      </td>
					      <td><select name="Rama" class="inputField" onKeypress="buscar_op(this,Direccion)" onblur="borrar_buffer()" onclick="borrar_buffer()">
					                    <option type="submit" ></option>
					                    <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")",
					        					m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_RAMAS, rama )%>
					           </select>
					      </td>
					    </tr>
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<script language="JavaScript">
     function fncGrabar(codigo,accion) {
     	var docu = document.formTalleres;
	    
	    if(existeCaracter(docu.Direccion.value,"\'")||existeCaracter(docu.Direccion.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Direccion.focus();
			return false;
		} 
		
		if(existeCaracter(docu.Telefono.value,"\'")||existeCaracter(docu.Telefono.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Telefono.focus();
			return false;
		} 
		
	    if(docu.Descripcion.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Descripcion.focus();
			return false;
		}
	     	 	
		if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Descripcion.focus();
			return false;
		}
		
		if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
			if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
				return;
		}
		
	    document.formTalleres.action="m05bGrabarTallerServlet?Codigo=" + codigo + "&Accion=" + accion;
	    document.formTalleres.submit();
	}
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>